Package com.google.earth.kml._2

# Class TimeSpanType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.TimePrimitiveType
com.google.earth.kml._2.TimeSpanType

public class TimeSpanType extends TimePrimitiveType
<p>Java class for TimeSpanType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="TimeSpanType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}TimePrimitiveType"> <sequence> <element name="begin" type="{http://earth.google.com/kml/2.1}dateTimeType" minOccurs="0"/> <element name="end" type="{http://earth.google.com/kml/2.1}dateTimeType" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `begin`
  `protected String`
  `end`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeSpanType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBegin()`
  Gets the value of the begin property.
  `String`
  `getEnd()`
  Gets the value of the end property.
  `void`
  `setBegin(String value)`
  Sets the value of the begin property.
  `void`
  `setEnd(String value)`
  Sets the value of the end property.

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### begin

    protected String begin

  - ### end

    protected String end

- ## Constructor Details

  - ### TimeSpanType

    public TimeSpanType()

- ## Method Details

  - ### getBegin

    public String getBegin()
    Gets the value of the begin property.
    Returns:
      possible object is `String`

  - ### setBegin

    public void setBegin(String value)
    Sets the value of the begin property.
    Parameters:
      `value` - allowed object is `String`

  - ### getEnd

    public String getEnd()
    Gets the value of the end property.
    Returns:
      possible object is `String`

  - ### setEnd

    public void setEnd(String value)
    Sets the value of the end property.
    Parameters:
      `value` - allowed object is `String`